
<?php 
session_start();
//$kode_aplikasi = $_POST['xkd_aplikasi'];
//$_SESSION['xkd_aplikasi'] = $kode_aplikasi;
//echo $kode_aplikasi;

include 'koneksi.php';
// koneksi.php
require_once 'config_001.php';

if (isset($config_001[$kode_aplikasi])) {
    $host       = $config[$kode_aplikasi]['host'];
    $username   = $config[$kode_aplikasi]['username'];
    $password   = $config[$kode_aplikasi]['password'];
    $database   = $config[$kode_aplikasi]['database'];

    // koneksi ke database
    $koneksi    = mysqli_connect($host, $username, $password, $database);
} else {
    // kode aplikasi tidak ditemukan
    die('Koneksi Database Gagal ke SERVER database - Kode Koneksi '.$kode_aplikasi.' tidak dikenal');
}
///////////////////////////////////////////////
$usere = $_POST['user_angg'];
$passw = $_POST['pass_angg'];

$query = mysqli_query($koneksi, "SELECT * FROM anggota WHERE angg_no = '$usere'");
$data = mysqli_fetch_assoc($query);

	$_SESSION['id']         = $data['angg_id'];
	$_SESSION['no_angg']    = $data['angg_no'];
	$_SESSION['nama_user']  = $data['nama'];
	$_SESSION['level']      = 'ANGGOTA';
	$_SESSION['username']   = $data['nama'];
	$_SESSION['kdc']        = '101';
	$_SESSION['status']     = "administrator_logedin";
	$_SESSION['hosting']    = $host ;
	
	echo $_SESSION['no_angg'];

    $kdkanca = mysqli_query($koneksi, "SELECT kanca,alamat,foto_bag,kelurahan,id_warna,nama_singkat FROM kdkanca WHERE kd='$_SESSION[kdc]'");
    list($kanca,$alamat,$foto_bag,$kelurahan,$id_warna,$nama_singkat) = mysqli_fetch_array($kdkanca);
    $_SESSION['kanca']      = $kanca;
    $_SESSION['alamat']     = $alamat;
    $_SESSION['kelurahan']  = $kelurahan;
    $_SESSION['foto_bag']   = $foto_bag;
    $_SESSION['n_singkat']  = $nama_singkat;
    
    $kdwarna = mysqli_query($koneksi,"select * from kdwarna where id='$id_warna'");
    $w = mysqli_fetch_assoc($kdwarna);            
    $_SESSION['warna_bag']= $w['warna'] ; 

    /////////////////////// tgl_dr dan tgl_sd
            $date_awal_bulan = date('Y-m-01'); // Tanggal awal bulan ini
            $date_hari_ini = date('Y-m-d'); // Tanggal hari ini
            
            $_SESSION['tgl_dr'] = $date_awal_bulan;
            $_SESSION['tgl_sd'] = $date_hari_ini;
    ////////////////////////////////////////////////////////////////////
$hash = $data['user_password_hash'];    
if (password_verify($passw, $hash)) {
    // Password valid, maka pengguna dapat masuk    
	header("location:admin/");
}else{
	header("location:anggota_index.php?alert=gagal");
}